API referenceGrowth
Update a quantity deal
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
offerId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/stores/string/quantity-offers/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113", "buyQty": 1, "discountedQty": 1, "discountBp": 1 }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113", "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf", "buyQty": -9007199254740991, "discountedQty": -9007199254740991, "discountBp": -9007199254740991, "maxUsesPerCart": -9007199254740991, "priority": -9007199254740991, "startsAt": "string", "endsAt": "string", "status": "active", "effectiveStatus": "active", "createdAt": "string"}